import 'package:flutter/material.dart';

class AppTheme {
  static const String Font_Montserrat = 'Montserrat';

  static const String Font_YuYang = 'YuYang';

  static const Color themeColor = Color(0xFF017137);

  //是否开放域名切换
  static const bool is_show_host = true;

  //http://192.168.110.222:8080/
  //http://192.168.110.44:8080/
  static String test_service_url = "https://beta-esg.api.lnh2e.com/";
  static const String release_service_url = "";

  //加氢站相关查询
  static const String jiaqing_service_url =
      "https://beta.lnh2e.com/api/lingniu-manager-v1/v1/";

  //车辆信息
  static const String car_service_url = "http://47.99.166.38:20000/";

  static const Color secondaryColor = Colors.orange;

  static const Color darkThemeColor = Color(0xFF032896);

  static const String android_key = "335642645";
  static const String android_appsecret = "39628204345a4240b5b645b68a5896c7";
  static const String ios_key = "335642649";
  static const String ios_appsecret = "173bc08bd5df422da20c8e3ffbf0521b";

  /// 亮色主题样式
  static ThemeData light = ThemeData(
    useMaterial3: false,
    fontFamily: Font_Montserrat,
    colorScheme: ColorScheme.fromSeed(
      seedColor: themeColor,
      primary: themeColor,
      secondary: secondaryColor,
      brightness: Brightness.light,
      surface: Colors.white,
      surfaceTint: Colors.transparent,
    ),
    appBarTheme: const AppBarTheme(
      backgroundColor: Colors.white,
      foregroundColor: Color.fromARGB(200, 0, 0, 0),
      centerTitle: true,
      titleTextStyle: TextStyle(
        fontSize: 18,
        fontWeight: FontWeight.bold,
        color: Color.fromARGB(200, 0, 0, 0),
      ),
    ),
  );

  /// 暗色主题样式
  static ThemeData dark = ThemeData(
    useMaterial3: false,
    fontFamily: Font_Montserrat,
    colorScheme: ColorScheme.fromSeed(
      seedColor: darkThemeColor,
      brightness: Brightness.dark,
      surface: const Color.fromARGB(255, 42, 42, 42),
      surfaceTint: Colors.transparent,
    ),
    appBarTheme: const AppBarTheme(
      backgroundColor: Color.fromARGB(255, 34, 34, 34),
      centerTitle: true,
      titleTextStyle: TextStyle(fontSize: 18, fontWeight: FontWeight.bold),
    ),
    bottomAppBarTheme: BottomAppBarThemeData(
      color: Color.fromARGB(255, 34, 34, 34),
      elevation: 4.0,
    ),
  );
}
